Summary: Vixie cron daemon
Name: vixie-cron
Version: 3.0.1
Release: 24
Copyright: distributable
Group: Daemons
Source0: ftp://ftp.vix.com/pub/vixie/vixie-cron-3.0.1.tar.gz
Source1: vixie-cron.init
Source2: cron.log
Patch0: vixie-cron-3.0.1-redhat.patch
Patch1: vixie-cron-3.0.1-security.patch
Patch3: vixie-cron-3.0.1-badsig.patch
Patch4: vixie-cron-3.0.1-crontab.patch
Patch5: vixie-cron-3.0.1-sigchld.patch
Patch6: vixie-cron-3.0.1-sprintf.patch
Buildroot: /var/tmp/cron-root
Prereq: /sbin/chkconfig
Summary(de): Vixie cron daemon 
Summary(fr): Dmon Vixie cron
Summary(tr): Vixie cron sreci, periyodik program altrma yetenei

%changelog
* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- added a patch to get rid of the dangerous sprintf() calls
- added BuildRoot and Prereq: /sbin/chkconfig

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed cron/crond dichotomy in init file.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- fixed bad init symlinks

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- force it to use SIGCHLD instead of defunct SIGCLD

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated for chkconfig
- added status, restart options to init script

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Feb 19 1997 Erik Troan <ewt@redhat.com>
- Switch conditional from "axp" to "alpha" 

%description
cron is a standard UNIX program that runs user-specified programs at
periodic scheduled times. vixie cron adds a number of features to the
basic UNIX cron, including better security and more powerful configuration
options.

%description -l de
cron ist ein Standard-UNIX-Programm, das zu vorgegebenen Zeiten vom
Benutzer angegebene Programme ausfhrt. vixie cron weist mehr Funktionen
auf als cron aus UNIX, u.a. bessere Sicherheit und leistungsfhigere
Konfigurationsoptionen.

%description -l fr
cron est un des programmes UNIX standard qui permet  un utilisateur donn
de lancer des priodiquement des programmes selon un ordre planifi.
vixie cron ajoute de nombreuses fonctionnalits au cron UNIX de base, dont
une plus grande scurit et des options de configuration plus puissantes.

%description -l tr
cron UNIX'de standart olarak belirli zamanlarda bir program altrmak
iin kullanlan daemon'dur. Vixie cron, standart cron'dan daha gvenlidir
ve daha gelimi yaplandrma seenekleri ierir.

%prep
%setup
%patch0 -p1 -b .norh
%patch1 -p1 -b .nomisc
%patch3 -p1 -b .badsig
%patch4 -p1 -b .crontabhole
%patch5 -p1 -b .sigchld
%patch6 -p1 -b .sprintf

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man{1,5,8},sbin}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc{0,1,2,3,4,5,6}.d}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/spool/cron
chmod 700 $RPM_BUILD_ROOT/var/spool/cron

install -m755 $RPM_SOURCE_DIR/vixie-cron.init $RPM_BUILD_ROOT/etc/rc.d/init.d/crond
cd $RPM_BUILD_ROOT/etc/rc.d
ln -sf ../init.d/crond rc0.d/K60crond
ln -sf ../init.d/crond rc1.d/K60crond
ln -sf ../init.d/crond rc2.d/S40crond
ln -sf ../init.d/crond rc3.d/S40crond
ln -sf ../init.d/crond rc5.d/S40crond
ln -sf ../init.d/crond rc6.d/K60crond

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 $RPM_SOURCE_DIR/cron.log $RPM_BUILD_ROOT/etc/logrotate.d/cron

%post
/sbin/chkconfig --add crond

%postun
if [ $1 = 0 ]; then 
    /sbin/chkconfig --del crond
fi

%files
/usr/sbin/crond
/usr/bin/crontab
/usr/man/man8/crond.8
/usr/man/man8/cron.8
/usr/man/man5/crontab.5
/usr/man/man1/crontab.1

%dir /var/spool/cron

%config(missingok) /etc/rc.d/rc0.d/K60crond
%config(missingok) /etc/rc.d/rc1.d/K60crond
%config(missingok) /etc/rc.d/rc2.d/S40crond
%config(missingok) /etc/rc.d/rc3.d/S40crond
%config(missingok) /etc/rc.d/rc5.d/S40crond
%config(missingok) /etc/rc.d/rc6.d/K60crond
%config /etc/rc.d/init.d/crond
%config /etc/logrotate.d/cron

%clean
rm -rf $RPM_BUILD_ROOT
